pub struct MouseConfig<'a> {
	pub vendor_id: i32,
	pub product_id: i32,
	pub manufacturer: &'a str,
	pub product: &'a str,
	pub serial_number: &'a str,
}

impl<'a> MouseConfig<'a> {
	pub const fn new() -> Self {
		Self {
			vendor_id: 0x046d,
			product_id: 0x101b,
			manufacturer: "Logitech",
			product: "Performance Plus M705",
			serial_number: "B14D65DA",
		}
	}
}
